Package org.eclipse.m2m.atl.emftvm.util

## Class OCLOperations.UniqueResolveList.UniqueResolveIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.OCLOperations.ResolveList.ResolveIterator
      - - org.eclipse.m2m.atl.emftvm.util.OCLOperations.UniqueResolveList.UniqueResolveIterator

All Implemented Interfaces:
  `java.util.Iterator<java.lang.Object>`

Enclosing class:
  OCLOperations.UniqueResolveList

    public class OCLOperations.UniqueResolveList.UniqueResolveIterator
    extends OCLOperations.ResolveList.ResolveIterator

`Iterator` that resolves unique trace links for a given rule.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`UniqueResolveIterator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`hasNext, updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### UniqueResolveIterator

    public UniqueResolveIterator()

### Method Detail

#### next

    public java.lang.Object next()

Specified by:
  `next` in interface `java.util.Iterator<java.lang.Object>`
Overrides:
  `next` in class `OCLOperations.ResolveList.ResolveIterator`